Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.eventprocessor
Class EventData

    java.lang.Object
      |
      +--com.bea.wlpi.server.eventprocessor.EventData

public class EventData
extends java.lang.Object
implements java.io.Serializable

Encapsulates the data and meta-data associated with an event.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONTENT_TYPE` Property name for content type.
`static java.lang.String` | `CONTENT_TYPE_JAVA`
`static java.lang.String` | `CONTENT_TYPE_XML`
`static java.lang.String` | `EVENT_DESCRIPTOR` Property name for content-type-specific event information.
`static java.lang.String` | `INSTANCES` Property name for instance addressees.
`static java.lang.String` | `ORDER_KEY` Property name for message order key.
`static java.lang.String` | `PLUGIN` Property name for plugin to handle the event.
`static java.lang.String` | `START_INSTANCE` Property name for starting a suspended instance.
`static java.lang.String` | `TEMPLATES` Property name for template addressees.

Constructor Summary
`EventData(org.w3c.dom.Document document)` Create a new EventData containing a pre-parsed DOM document.
`EventData(java.lang.Object content, java.lang.String contentType, java.lang.String eventDescriptor, long expiration, java.lang.String[] templateNames, java.lang.String[] instanceIDs, java.util.Map properties)` Create a new EventData.
`EventData(java.lang.Object content, java.lang.String contentType, java.lang.String eventDescriptor, java.lang.String startInstanceID, java.util.Map properties)` Create a new EventData.
`EventData(java.lang.String xml)` Create a new EventData containing an XML document.

Method Summary
`protected static java.lang.String` | `arrayToString(java.lang.Object[] array)`
`java.lang.Object` | `getContent()`
`java.lang.String` | `getContentType()`
`java.lang.String` | `getEventDescriptor()`
`long` | `getExpiration()`
`java.lang.String[]` | `getInstanceIDs()`
`java.lang.String` | `getKeyValue()`
`java.lang.String` | `getMessageID()`
`java.lang.Object` | `getProperty(java.lang.String propertyName)`
`java.util.Set` | `getPropertyNames()`
`java.lang.String` | `getStartInstanceID()`
`java.lang.String[]` | `getTemplateIDs()`
`java.lang.String[]` | `getTemplateNames()`
`boolean` | `isDOM()`
`boolean` | `isXML()`
`void` | `parseXML()` Convert the content (assumed to be XML) by performing a DOM parse.
`void` | `parseXML(boolean validate)` Convert the content (assumed to be XML) by performing a DOM parse.
`protected void` | `setContentDescriptors()`
`void` | `setTemplateIDs(java.lang.String[] ids)`
`java.lang.String` | `toString()` Return a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONTENT_TYPE

    public static final java.lang.String CONTENT_TYPE

  Property name for content type.

### EVENT_DESCRIPTOR

    public static final java.lang.String EVENT_DESCRIPTOR

  Property name for content-type-specific event information.

### START_INSTANCE

    public static final java.lang.String START_INSTANCE

  Property name for starting a suspended instance.

### INSTANCES

    public static final java.lang.String INSTANCES

  Property name for instance addressees.

### TEMPLATES

    public static final java.lang.String TEMPLATES

  Property name for template addressees.

### PLUGIN

    public static final java.lang.String PLUGIN

  Property name for plugin to handle the event.

### ORDER_KEY

    public static final java.lang.String ORDER_KEY

  Property name for message order key.

### CONTENT_TYPE_XML

    public static final java.lang.String CONTENT_TYPE_XML

### CONTENT_TYPE_JAVA

    public static final java.lang.String CONTENT_TYPE_JAVA

Constructor Detail

### EventData

    public EventData(java.lang.String xml)
              throws WorkflowException

  Create a new EventData containing an XML document. The constructor parses the string into a DOM document, and sets the content type to `CONTENT_TYPE_XML`. The eventDescriptor is set to the DOCTYPE if the document defines one, otherwise to the document element name.

  Parameters:
    `xml` -
  Throws:
    WorkflowException -

### EventData

    public EventData(org.w3c.dom.Document document)

  Create a new EventData containing a pre-parsed DOM document. The constructor sets the content type to `CONTENT_TYPE_DOM`. The eventDescriptor is set to the DOCTYPE's Public ID or System ID if the document defines one, otherwise to the document element name.

  Parameters:
    `document` -

### EventData

    public EventData(java.lang.Object content,
                     java.lang.String contentType,
                     java.lang.String eventDescriptor,
                     long expiration,
                     java.lang.String[] templateNames,
                     java.lang.String[] instanceIDs,
                     java.util.Map properties)

  Create a new EventData. This constructor can be used by plugins, to pass event data for processing.

  Parameters:
    `content` -
    `contentType` -
    `eventDescriptor` -
    `expiration` -
    `templateNames` - deprecated
    `instanceIDs` -
    `properties` -

### EventData

    public EventData(java.lang.Object content,
                     java.lang.String contentType,
                     java.lang.String eventDescriptor,
                     java.lang.String startInstanceID,
                     java.util.Map properties)

  Create a new EventData. This constructor can be used by plugins, to pass event data for processing.

  Parameters:
    `content` -
    `contentType` -
    `eventDescriptor` -
    `startInstanceID` -
    `properties` -
  Since:
    WebLogic Integration 2.1

Method Detail

### getContent

    public final java.lang.Object getContent()

  Returns:

### getContentType

    public final java.lang.String getContentType()

  Returns:

### getEventDescriptor

    public final java.lang.String getEventDescriptor()

  Returns:

### getMessageID

    public final java.lang.String getMessageID()

  Returns:

### getExpiration

    public final long getExpiration()

  Returns:

### getKeyValue

    public final java.lang.String getKeyValue()

  Returns:

### getProperty

    public java.lang.Object getProperty(java.lang.String propertyName)
                                 throws WorkflowException

  Parameters:
    `propertyName` -
  Returns:
  Throws:
    WorkflowException -

### getPropertyNames

    public java.util.Set getPropertyNames()
                                   throws WorkflowException

  Returns:
  Throws:
    WorkflowException -

### getStartInstanceID

    public final java.lang.String getStartInstanceID()

  Returns:
  Since:
    WebLogic Integration 2.1

### getInstanceIDs

    public final java.lang.String[] getInstanceIDs()

  Returns:

### getTemplateNames

    public final java.lang.String[] getTemplateNames()

  Returns:

### getTemplateIDs

    public final java.lang.String[] getTemplateIDs()

  Returns:

### setTemplateIDs

    public final void setTemplateIDs(java.lang.String[] ids)

  Returns:

### isXML

    public final boolean isXML()

  Returns:

### isDOM

    public final boolean isDOM()

  Returns:

### toString

    public java.lang.String toString()

  Return a string representation of the object.

  Returns:
    The string representation.
  Overrides:
    toString in class java.lang.Object

### parseXML

    public final void parseXML()
                        throws WorkflowException

  Convert the content (assumed to be XML) by performing a DOM parse. The eventDescriptor is set to the DOCTYPE's Public ID or System ID if the document defines one, otherwise to the document element name. Performs a non-validating DOM parse.

  Throws:
    WorkflowException -

### parseXML

    public final void parseXML(boolean validate)
                        throws WorkflowException

  Convert the content (assumed to be XML) by performing a DOM parse. The eventDescriptor is set to the DOCTYPE's Public ID or System ID if the document defines one, otherwise to the document element name.

  Parameters:
    `validate` - Whether to perform a validating DOM parse. `CONTENT_TYPE_XML`.
  Throws:
    WorkflowException -

### setContentDescriptors

    protected final void setContentDescriptors()

### arrayToString

    protected static java.lang.String arrayToString(java.lang.Object[] array)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)